%define ver    2.8.2
%define rel    b2
%define verstr %(echo %{ver}.%{rel} | tr -d '.')


Summary:       A LDAP Browser/Editor
Name:          lbe
Version:       %{ver}
Release:       0.1.%{rel}%{?dist}%{?pext}
Epoch:         1
License:       Unknown
Group:         Applications/Editors
Source0:       http://www-unix.mcs.anl.gov/~gawor/ldap/dwld/Browser%{verstr}.tar.gz
Source1:       %{name}.sh
URL:           http://www-unix.mcs.anl.gov/~gawor/ldap/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Jarek Gawor <gawojar@iit.edu>
Requires:      jre >= 1.4 java-fonts
BuildArch:     noarch


%description
The LDAP Browser/Editor LBE provides a user-friendly Windows Explorer-like
interface to LDAP directories with tightly integrated browsing and editing
capabilities. It is entirely written in Java with the help of the JFC and
JNDI class libraries. It connects to v2 and v3 LDAP servers.


%prep
%setup -q -n ldapbrowser


%build


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}

%{__install} -m 0755 %{SOURCE1}      ${RPM_BUILD_ROOT}%{_bindir}/%{name}

%{__cp} -r {help,lib,templates}      ${RPM_BUILD_ROOT}%{_datadir}/%{name}
%{__cp}    *.{cfg,config,jar,sample} ${RPM_BUILD_ROOT}%{_datadir}/%{name}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES.TXT LICENSE.ICONS *.html
%doc %dir applet
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%config(noreplace) %{_datadir}/%{name}/*.config
%config(noreplace) %{_datadir}/%{name}/*.cfg
%{_datadir}/%{name}/*.jar
%{_datadir}/%{name}/*.sample
%{_datadir}/%{name}/help
%{_datadir}/%{name}/lib
%config(noreplace) %{_datadir}/%{name}/templates


%changelog
* Wed Dec 31 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1:2.8.2-0.1.b2
- Fixed versioning
- Rewritten for buildsystem
- Requires JRE from jpackage.org

* Mon Sep 12 2005 peter.pramberger@member.fsf.org
- created
